# wxTransform2D Class Reference

`#include </home/work/projects/wx/2.9/wx/interface/wx/geometry.h>`

## Public Member Functions

virtual | ~wxTransform2D ()
virtual void | Transform (wxPoint2DInt *pt) const =0
virtual void | Transform (wxRect2DInt *r) const
virtual wxPoint2DInt | Transform (const wxPoint2DInt &pt) const
virtual wxRect2DInt | Transform (const wxRect2DInt &r) const
virtual void | InverseTransform (wxPoint2DInt *pt) const =0
virtual void | InverseTransform (wxRect2DInt *r) const
virtual wxPoint2DInt | InverseTransform (const wxPoint2DInt &pt) const
virtual wxRect2DInt | InverseTransform (const wxRect2DInt &r) const

List of all members.

## Constructor & Destructor Documentation

virtual wxTransform2D::~wxTransform2D | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void wxTransform2D::InverseTransform | ( | wxPoint2DInt * | pt | ) | const`[pure virtual]`

virtual wxRect2DInt wxTransform2D::InverseTransform | ( | const wxRect2DInt & | r | ) | const`[virtual]`

virtual wxPoint2DInt wxTransform2D::InverseTransform | ( | const wxPoint2DInt & | pt | ) | const`[virtual]`

virtual void wxTransform2D::InverseTransform | ( | wxRect2DInt * | r | ) | const`[virtual]`

virtual void wxTransform2D::Transform | ( | wxRect2DInt * | r | ) | const`[virtual]`

virtual void wxTransform2D::Transform | ( | wxPoint2DInt * | pt | ) | const`[pure virtual]`

virtual wxPoint2DInt wxTransform2D::Transform | ( | const wxPoint2DInt & | pt | ) | const`[virtual]`

virtual wxRect2DInt wxTransform2D::Transform | ( | const wxRect2DInt & | r | ) | const`[virtual]`

|  | [ top ]